Name: lucene
Version: 1.4.3
Release: alt1

%def_enable check
%def_disable debug

%define pkgdocdir %_docdir/%name-%version

Summary: High-performance, full-featured text search engine
Group: Text tools
License: Apache
Url: http://jakarta.apache.org/lucene/

Source: %name-%version-src.tar.bz2

BuildArch: noarch

BuildPreReq: rpm-build-java
BuildRequires: j2se-devel
BuildRequires: ant >= 1.5
BuildRequires: javacc

%if_enabled check
BuildRequires: ant-junit, junit >= 3.7
%endif

%description
Jakarta Lucene is a high-performance, full-featured text search engine
written entirely in Java. It is a technology suitable for nearly any
application that requires full-text search, especially cross-platform.

%package manual
Summary: Documentation for Lucene
Group: Development/Java
Requires: %name-javadoc = %version-%release

%description manual
Documentation for Lucene, a text search engine
written in Java.

%package javadoc
Summary: Javadoc for Lucene
Group: Development/Java

%description javadoc
Javadoc-generated HTML documentation for Lucene, a text search engine
written in Java.

%package demo
Summary: Lucene demonstrations and samples
Group: Development/Java
Requires: %name = %version-%release

%description demo
Demonstrations and samples for Lucene, a text search engine
written in Java.

%prep
%setup -q -n %name-%version
find . -name '*.jar' -print0 | xargs -r0 %__rm -f

%build
ant -Dversion=%version \
    -Djavacc.zip=%_javadir/javacc.jar \
%if_disabled debug
    -Djavac.debug=off \
%endif
    package
%if_enabled check
export CLASSPATH=%_javadir/junit.jar
ant test
%endif

%install
# jars
mkdir -p $RPM_BUILD_ROOT%_javadir
install -m644 build/%name-%version.jar \
    $RPM_BUILD_ROOT%_javadir/%name.jar

#manual
install -d -m755 $RPM_BUILD_ROOT%pkgdocdir
install -p -m644 README.txt LICENSE.txt CHANGES.txt $RPM_BUILD_ROOT%pkgdocdir/
cp -a docs/* $RPM_BUILD_ROOT%pkgdocdir/

# javadoc
%__mkdir_p $RPM_BUILD_ROOT%_javadocdir
%__cp -a build/docs/api/* \
  $RPM_BUILD_ROOT%_javadocdir
%__ln_s $(relative %_javadocdir %pkgdocdir/) $RPM_BUILD_ROOT%pkgdocdir/api

# demo
install -d -m755 $RPM_BUILD_ROOT%_datadir/%name
install -p -m644  build/%name-demos-%version.jar \
  $RPM_BUILD_ROOT%_datadir/%name

# TODO: webapp: luceneweb.war / where do we install 'em?

%files
%_javadir/*
%dir %pkgdocdir
%pkgdocdir/*.txt

%files manual
%pkgdocdir

%files javadoc
%_javadocdir/*

%files demo
%_datadir/%name

%changelog
* Wed Dec 08 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.4.3-alt1
- Updated to 1.4.3
- Spec cleanup for rpm-build-java

* Tue Jun 08 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.3-alt1
- New upstream release
- Disable debug for non-debug builds

* Tue Sep 09 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.2-alt1
- Released for ALT Linux
